Loading...
Searching...
No Matches
gx_engine::MidiStandardControllers Class Reference

`#include <gx_parameter.h>`

## Classes

struct | modstring

## Public Member Functions

| MidiStandardControllers ()
const string | operator[] (int ctr)
void | replace (int ctr, const string &name)
void | writeJSON (gx_system::JsonWriter &jw) const
void | readJSON (gx_system::JsonParser &jp)

## Private Member Functions

string | midi_to_note (int ctr)
string | ctr_desc (int ctr)

## Private Attributes

map< int, modstring > | m

## Detailed Description

Definition at line 678 of file gx_parameter.h.

## Constructor & Destructor Documentation

## MidiStandardControllers()

gx_engine::MidiStandardControllers::MidiStandardControllers | ( |  | ) |

## Member Function Documentation

## ctr_desc()

string gx_engine::MidiStandardControllers::ctr_desc | ( | int | ctr | ) |

private

## midi_to_note()

string gx_engine::MidiStandardControllers::midi_to_note | ( | int | ctr | ) |

private

## operator[]()

const string gx_engine::MidiStandardControllers::operator[] | ( | int | ctr | ) |

inline

Definition at line 693 of file gx_parameter.h.

## readJSON()

void gx_engine::MidiStandardControllers::readJSON | ( | gx_system::JsonParser & | jp | ) |

## replace()

void gx_engine::MidiStandardControllers::replace | ( | int | ctr,
|  | const string & | name )

## writeJSON()

void gx_engine::MidiStandardControllers::writeJSON | ( | gx_system::JsonWriter & | jw | ) | const

## Member Data Documentation

## m

map<int, modstring> gx_engine::MidiStandardControllers::m

private

Definition at line 688 of file gx_parameter.h.

Referenced by gx_engine::MidiStandardControllers::modstring::modstring(), and operator[]().

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h